Bug 477526

Summary: Review Request: rubygem-hpricot - A Fast, Enjoyable HTML Parser for Ruby
Product: [Fedora] Fedora Reporter: Mamoru TASAKA <mtasaka>
Component: Package ReviewAssignee: Michael Stahnke <mastahnke>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: ayoung, fedora-package-review, mastahnke, notting, vanmeeuwen+fedora
Target Milestone: ---Flags: mastahnke: fedora-review+
kevin: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-02-11 07:11:35 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Mamoru TASAKA 2008-12-21 16:00:51 UTC
Spec URL: http://mtasaka.fedorapeople.org/Review_request/rubygem-hpricot/rubygem-hpricot.spec
SRPM URL: http://mtasaka.fedorapeople.org/Review_request/rubygem-hpricot/rubygem-hpricot-0.6.164-1.fc.src.rpm
Koji scratch build:
- For dist-f11: http://koji.fedoraproject.org/koji/taskinfo?taskID=1013751
- For dist-f10: http://koji.fedoraproject.org/koji/taskinfo?taskID=1013750
Description: 
Hpricot is a very flexible HTML parser, based on Tanaka Akira's 
HTree and John Resig's JQuery, but with the scanner recoded in C 
(using Ragel for scanning.)

Note1:
This RubyGem based rpm creates arch-dependent binary rpms.
The following guideline [1] was approved by FPC/FESCo [2][3] and
should be applied to this package.
[1] https://fedoraproject.org/wiki/PackagingDrafts/RubyGem_with_C_code_spot
[2] https://www.redhat.com/archives/fedora-devel-list/2008-December/msg02221.html
[3] https://www.redhat.com/archives/fedora-devel-list/2008-December/msg02221.html

Comment 1 Mamoru TASAKA 2008-12-21 16:01:18 UTC
[2] http://fedoraproject.org/wiki/Packaging/Minutes/20081209

Comment 2 Jason Tibbitts 2008-12-21 19:08:30 UTC
How does this interact with the existing ruby-hpricot package?  Will it be removed from the distribution?

Comment 3 Mamoru TASAKA 2008-12-21 23:50:26 UTC
This package (rubygem-hpricot) has ruby-hpricot in its subpackage, which will
replace the current ruby-hpricot (binary rpm). After this package is approved,
ruby-hpricot "srpm" will be removed from Fedora.

Comment 5 Michael Stahnke 2009-01-13 03:45:18 UTC
rpmlint
rpmlint SRPMS/rubygem-hpricot-0.6.164-2.fc10.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
rpmlint RPMS/x86_64/rubygem-hpricot-0.6.164-2.fc10.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
rpmlint RPMS/x86_64/rubygem-hpricot-doc-0.6.164-2.fc10.x86_64.rpm
rubygem-hpricot-doc.x86_64: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

1ad4f33559a0c41fb7e4a2d4eb43f3b7  hpricot-0.6.164.gem (Matches upstream -- this is good)

ext/fast_xs/FastXsService.java: -- Looks like Apache license, also boingboing samples are CC licenesed.  Not sure how one package handled multiple liceneses. 

Outside of that, I think it looks good.

Comment 6 Mamoru TASAKA 2009-01-14 18:54:33 UTC
Thank you for comments.

(In reply to comment #5)
> ext/fast_xs/FastXsService.java: -- Looks like Apache license, also boingboing
> samples are CC licenesed.  Not sure how one package handled multiple liceneses. 

I didn't notice these
FastXsService.java is okay, under ASL 2.0. However boingboing.html
is under CC-BY-NC, which is bad for Fedora, this must be removed
from the original gem file.

http://mtasaka.fedorapeople.org/Review_request/rubygem-hpricot/rubygem-hpricot.spec
http://mtasaka.fedorapeople.org/Review_request/rubygem-hpricot/rubygem-hpricot-0.6.164-3.fc.src.rpm

* Thu Jan 15 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.6.164-3
- Fix license tag, removing non-free file (thanks to
  Michael Stahnke)

For F-11:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1053547
For F-10:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1053562

Comment 7 Mamoru TASAKA 2009-02-04 18:51:59 UTC
ping?

Comment 8 Michael Stahnke 2009-02-10 01:38:44 UTC
Things are looking good here.  I am quite sorry for taking so long.  I forgot about this one until I got back to my mail.

Can you mark the README, COPYING and CHANGELOG as %doc?

Comment 9 Mamoru TASAKA 2009-02-10 04:02:36 UTC
(In reply to comment #8)
> Can you mark the README, COPYING and CHANGELOG as %doc?

I guess these are already marked as %doc as:
----------------------------------------------------
%doc	%{geminstdir}/[A-Z]*
----------------------------------------------------

Comment 10 Michael Stahnke 2009-02-10 04:16:49 UTC
You can optionally add %doc to %{gemdir}/doc/%{gemname}-%{version}/.  

If you feel like changing it, please do so before submitting final builds.  I did this with some of my gems. 

APPROVED.

Comment 11 Mamoru TASAKA 2009-02-10 05:06:01 UTC
Thank you! (I will check your review request later again)

New Package CVS Request
=======================
Package Name:         rubygem-hpricot
Short Description:    A Fast, Enjoyable HTML Parser for Ruby
Owners:               mtasaka
Branches:             F-10 F-9
InitialCC:            (nobody)

(In reply to comment #10)
> You can optionally add %doc to %{gemdir}/doc/%{gemname}-%{version}/.  

Usually this is redundant because this is included
in "-doc" subpackage (this is not java package, however -javadoc
packages are similar to this situation)

Comment 12 Kevin Fenzi 2009-02-10 22:18:43 UTC
cvs done.

Comment 13 Mamoru TASAKA 2009-02-11 07:11:35 UTC
Rebuilt on all branches, submit push requests on bodhi for F-10/9,
closing.

Thank you for your review and CVS procedure.

Comment 14 Jeroen van Meeuwen 2009-11-03 10:58:55 UTC
Package Change Request
======================
Package Name: rubygem-hpricot
New Branches: EL-5
Owners: kanarip

Comment 15 Kevin Fenzi 2009-11-03 19:19:15 UTC
Mamoru: Are you ok with kanarip maintaining this package for EL-5?

Comment 16 Mamoru TASAKA 2009-11-04 04:34:25 UTC
(In reply to comment #15)
> Mamoru: Are you ok with kanarip maintaining this package for EL-5?  

Yes.

Comment 17 Kevin Fenzi 2009-11-06 20:48:14 UTC
Thanks. cvs done.

Comment 18 Mamoru TASAKA 2010-05-03 18:17:03 UTC
*** Bug 588443 has been marked as a duplicate of this bug. ***